intel-gpu-tools (1.27.1-1ubuntu0.1) mantic; urgency=medium

  * tools/intel_gpu_top: Handle narrow terminals more gracefully (LP: #1949314)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 15 Apr 2024 17:23:37 +0200

intel-gpu-tools (1.27.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Set srcdir. (Closes: #945105)
  * patches/libproc2_library: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Feb 2023 09:40:10 +0200

intel-gpu-tools (1.26+git20220524-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust API to be to link to libproc2 Closes: #1024221

 -- Craig Small <csmall@debian.org>  Thu, 22 Dec 2022 21:12:41 +1100

intel-gpu-tools (1.26+git20220524-1) unstable; urgency=medium

  * New git snapshot.
  * install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Jun 2022 10:26:54 +0300

intel-gpu-tools (1.26-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #984060)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 11 Oct 2021 11:15:35 +0300

intel-gpu-tools (1.26-1) experimental; urgency=medium

  * New upstream release.
  * control: Migrate to x11proto-dev.
  * install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Jun 2021 12:27:13 +0300

intel-gpu-tools (1.25-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch b-d from python-docutils to python3-docutils; Closes: #943132

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2020 23:37:21 -0400

intel-gpu-tools (1.25-2) unstable; urgency=medium

  [ Jordan Justen ]
  * d/rules: Remove dh_strip for lintian debug-symbol-migration-possibly-complete
  * d/control: Move Vcs-* to salsa urls for lintian vcs-obsolete-in-debian-infrastructure
  * d/rules: Disable ccache during build for sbuild
  * d/rules: build_tests renamed to tests in upstream
  * d/intel-gpu-tools.install: Add some new binaries
  * d/not-installed: Don't install include (dev) files for now
  * d/gbp.conf: Set debian-branch to debian-unstable

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 02 Apr 2020 01:53:05 -0700

intel-gpu-tools (1.25-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.
  * Update signing keys.
  * Update extend-diff-ignore.
  * install: Dropped intel_aubdump which is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Mar 2020 10:36:17 +0200

intel-gpu-tools (1.24-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Transition to automatic debug package (from: intel-gpu-tools-dbg).

  [ Timo Aaltonen ]
  * New upstream release
  * control: Add libdw-dev to build-depends.
  * Build with meson.
  * docs, install: Updated.
  * watch: Updated to look for igt-gpu-tools.
  * source: Update diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Jul 2019 11:18:59 +0300

intel-gpu-tools (1.22-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Mar 2018 15:17:17 +0200

intel-gpu-tools (1.21-2) unstable; urgency=medium

  * control: Add peg to build-depends, needed for intel-gpu-overlay.
    (LP: #1750605)
  * install: List each binary explicitly so that none are missed due to
    changed build dependencies.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Feb 2018 19:09:16 +0200

intel-gpu-tools (1.21-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to look for tar.xz.
  * Update watch file to use https.
  * Update standards version to 4.1.3
  * Remote debian/patches/fix-i386-ftbfs.diff (now upstream)
  * Remove dh-autoreconf dep for lintian useless-autoreconf-build-depends
  * Change source format to "3.0 (quilt)" for lintian
    native-package-with-dash-version
  * Ignore /ChangeLog file diff from tarball after source format change
  * Remove quilt from dh command for lintian
    dh-quilt-addon-but-quilt-source-format
  * Fix build error with not finding gtk-doc.make

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 08 Feb 2018 17:09:20 -0800

intel-gpu-tools (1.20-2) unstable; urgency=medium

  * fix-i386-ftbfs.diff: Fix build on i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Oct 2017 16:52:15 +0300

intel-gpu-tools (1.20-1) unstable; urgency=medium

  * New upstream release.
    - support for CFL, CNL added

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 07 Oct 2017 01:28:43 +0300

intel-gpu-tools (1.19-2) unstable; urgency=medium

  * control: Add flex to build-depends. (Closes: #867344)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2017 13:11:22 +0300

intel-gpu-tools (1.19-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/signing-key.asc with Petri Latvala's key
  * Add pgpsigurlmangle to watch file as suggested by uscan
  * Update standards version to 4.0.0

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 15 Jun 2017 12:03:01 -0700

intel-gpu-tools (1.18-2) experimental; urgency=medium

  * Run wrap-and-sort to cleanup debian files
  * Update to debhelper 10
  * Depend on automake 1.12 to fix build on i386
  * Add debian/gbp.conf

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 31 Mar 2017 02:50:47 -0700

intel-gpu-tools (1.18-1) experimental; urgency=medium

  * New upstream release.
  * Add Jordan Justen as uploader.
  * Bump libdrm requirement to 2.4.75
  * Fix lintian package-must-activate-ldconfig-trigger
  * Override lintian package-name-doesnt-match-sonames warning
  * Override lintian binary-without-manpage warning
  * Override lintian shlib-without-versioned-soname warning

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 28 Mar 2017 14:26:42 -0700

intel-gpu-tools (1.17-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on libkmod-dev, libprocps-dev.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 03 Dec 2016 16:20:49 -0800

intel-gpu-tools (1.16-1) unstable; urgency=medium

  * New upstream release.
  * Bump libdrm-dev build-dep version to >= 2.4.64. (Closes: #829525)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 11 Sep 2016 12:34:23 -0700

intel-gpu-tools (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards version 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 31 May 2016 17:35:02 -0700

intel-gpu-tools (1.14-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libxv-dev and python-docutils to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Mar 2016 22:01:06 +0200

intel-gpu-tools (1.13-1) unstable; urgency=medium

  * New upstream release.
    - Drop unneeded build-dep on swig. (Closes: #803522)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Dec 2015 22:43:34 -0800

intel-gpu-tools (1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 14 Sep 2015 00:14:04 -0700

intel-gpu-tools (1.11-1) unstable; urgency=medium

  * New upstream release.
    - Add new build-deps: gtk-doc-tools, libunwind-dev

 -- Vincent Cheng <vcheng@debian.org>  Sun, 14 Jun 2015 17:59:40 -0700

intel-gpu-tools (1.10-2) unstable; urgency=medium

  * Fix FTBFS on i386.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 18:19:48 -0700

intel-gpu-tools (1.10-1) unstable; urgency=medium

  * New upstream release.
    - Fix bashism in tools/intel_gpu_abrt. (Closes: #772339)
  * Update to Standards version 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 16:52:00 -0700

intel-gpu-tools (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 14 Sep 2014 02:28:45 -0700

intel-gpu-tools (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Add x11proto-dri2-dev as a build dependency.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 10 Jun 2014 19:47:24 -0700

intel-gpu-tools (1.6-2) unstable; urgency=medium

  * Enable build hardening (bump dh compat level to 9).
  * Strip debug symbols into separate intel-gpu-tools-dbg package.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 13 May 2014 18:43:34 -0700

intel-gpu-tools (1.6-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Drop patches
    - 100_drmtest_exit_not_abort.patch - upstream
    - 10-Revert-tests-make-testdisplay-non-optional.patch - build testdisplay
      now.
    - 20-Revert-Fix-pthread-compiler-flags-to-work-on-Solaris.patch
      xorg-macros is new enough.
    - 30-Revert-add-sprite-demo-from-Armin-Reese.patch - libdrm is new enough.
  * control: Bump libdrm-dev build-dep
  * control: Add libudev-dev to build-depends.
  * control: Add libcairo2-dev to build-depends.
  * rules: Stop renaming forcewaked.
  * control: Bump standards-version to 3.9.3, no changes.
  * control: Limit the architectures to amd64, i386.
  * watch: fix the remote url.
  * control: Add swig, libxrandr-dev and python3-dev to build-depends.
  * rules: Remove .la file(s) on dh_install.

  [ Vincent Cheng ]
  * New upstream release. (1.6)
    - Fixes "Couldn't map MMIO region: Resource temporarily unavailable".
      (Closes: #715278)
    - Install missing intel_lid binary. (Closes: #714424)
  * Add bison as build-depends.
  * Update homepage in debian/control.
  * Add myself to Uploaders.
  * Update to Standards version 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 13 May 2014 01:33:30 -0700

intel-gpu-tools (1.2-1) unstable; urgency=low

  * New upstream release
  * Add 10-Revert-tests-make-testdisplay-non-optional.patch to
    avoid unnecessary build deps for the unshipped testdisplay
  * Add 20-Revert-Fix-pthread-compiler-flags-to-work-on-Solaris.patch
    to build on current xorg-macros
  * Add 30-Revert-add-sprite-demo-from-Armin-Reese.patch because
    it requires newer libdrm than ours
  * Rename forcewaked to intel_forcewaked (upstream post-release fix)

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 28 Feb 2012 23:13:05 +0100

intel-gpu-tools (1.1-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release. (Closes: #621721)
    - Fixes intel_gpu_top MMIO issue. (Closes: #655672)
  * Make the Debian X Strike Force maintain the package; keeping Eric,
    Tormod, and myself as Uploaders.
  * Wrap Build-Depends/Depends.
  * Bump libdrm-intel1 build-dep.
  * Update watch file:
    - Add a reference to upstream git repository.
    - Switch from tar.bz2 to tar.gz, the former isn't supported by the 1.0
      source format.
  * Switch to dh:
    - Switch debhelper build-dep and compat to 8.
    - Use dh-autoreconf and quilt as in other X packages.
    - Use --fail-missing and .install accordingly.
  * Disable test suite, "make test" checks GPU/drm, not the build

  [ Bryce Harrington ]
  * control: Add Conflicts with xserver-xorg-video-intel < 2.9.1 due to
    intel_reg_dumper. (LP: #591203)
  * Add build dependency on xutils-dev to fix FTBFS.
  * rules: Add gentarball target to make it easier to update to new git
    snapshots when needed.
  * Add 100_drmtest_exit_not_abort.patch to avoid SIGABRT when running
    benchmarks as non-root.

  [ Tormod Volden ]
  * control: Add Vcs links
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Feb 2012 18:09:34 +0100

intel-gpu-tools (1.0.2-1) unstable; urgency=low

  * New upstream version 1.0.2
  * debian/control: Bump to Standards-Version 3.8.3 (no changes needed)
  * debian/control: Build-dep on libdrm-intel1 >= 2.4.6
  * debian/control: Add myself as uploader

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 19 Nov 2009 19:03:26 +0100

intel-gpu-tools (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #529553)

 -- Eric Anholt <eric@anholt.net>  Fri, 04 Sep 2009 11:51:02 -0700
